List Rules
curl --request GET \
--url https://api.eflow.team/v1/networks/customervalue/rules \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/customervalue/rules"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/customervalue/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rules": [
{
"network_id": 1,
"rule_id": 87,
"name": "Third purchase bonus",
"status": "active",
"state": "scheduled",
"stopped_running_reason": "default",
"segmentation": "shared",
"offer_ids": [
123
],
"advertiser_ids": [
123
],
"affiliate_ids": [
123
],
"payout_revenue_id": 123,
"timezone_id": 67,
"start_date": "2026-08-01",
"end_date": "2026-12-31",
"cycle_type": "rule_duration",
"cycle_duration": 30,
"goals": [
{
"metric": "revenue",
"operator": "greater_than",
"value": "2",
"goal_id": 123,
"metric_data_point_identifier": "<string>",
"logic": "min"
}
],
"outcome_type": "substitution",
"outcome_trigger": "instant",
"outcome_payout_revenue_id": 123,
"payout_method": "disabled",
"payout_modifier": "increase",
"payout_type": "cpa",
"payout_value": 5,
"payout_percentage": 123,
"payout_data_point_identifier": "<string>",
"payout_data_point_calculation": "accumulated",
"revenue_method": "disabled",
"revenue_modifier": "increase",
"revenue_type": "rpa",
"revenue_value": 8,
"revenue_percentage": 123,
"revenue_data_point_identifier": "<string>",
"revenue_data_point_calculation": "accumulated",
"progress_settings": [
{
"metric": "conversions",
"condition": "any_value",
"setting_id": 123,
"data_point_identifier": "<string>"
}
],
"relationship": {
"scoped_payout_revenue_name": "<string>",
"tied_payout_revenue_name": "<string>"
},
"time_created": 1734455015,
"time_saved": 1734455015
}
]
}Rules
List Rules
Retrieve every Customer Value rule defined for the network. This endpoint is not paginated and takes no filters.
GET
/
networks
/
customervalue
/
rules
List Rules
Retrieve every Customer Value rule defined for the network, in any
state. Not paginated and takes no filters.
Pass relationship=event to resolve the display names of the scoped and tied payout/revenue events into the relationship object.Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
Include related data. Use event to resolve the display names of the scoped and tied payout/revenue events, or all for the same result. Repeat the parameter for multiple values.
Available options:
event, all Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?
